Subject: bug#37021: GuixSD 1.01-i686 install DVD boot failure on Macbook1, 1: failed to resolve partition

From: Mark H Weaver <[email-masked]>
Date: Thu, 15 Aug 2019 15:15:33 -0400

Calvin Heim <[email-masked]> writes:

> Apologies for the formatting errors in the previous email. Hopefully this message is cleaner.
>
> GRUB loads.  
> I add acpi=off to the boot options and boot.  Otherwise, the screen goes black
> with a '-' symbol at the top left corner and freezes.
>
> So, after booting with acpi=off, the display shows the following lines (with timestamps on the 
> left, but I had to manually transcribe so I left them off):
>
> %<---------------begin pasted text-----------------------
>  ehci-pci 0000:00:1d.7: Found HC with no IRQ. Check BIOS/PCI 0000:00:1d.7 setup!
>  ehci-pci 0000:00:1d.7: init 0000:00:1d.7 fail, -19
>  ehci-pci 0000:00:1d.0: Found HC with no IRQ. Check BIOS/PCI 0000:00:1d.0 setup!
>  ehci-pci 0000:00:1d.0: init 0000:00:1d.0 fail, -19
>  ehci-pci 0000:00:1d.1: Found HC with no IRQ. Check BIOS/PCI 0000:00:1d.1 setup!
>  ehci-pci 0000:00:1d.1: init 0000:00:1d.1 fail, -19
>  ehci-pci 0000:00:1d.2: Found HC with no IRQ. Check BIOS/PCI 0000:00:1d.2 setup!
>  ehci-pci 0000:00:1d.2: init 0000:00:1d.2 fail, -19
>  ehci-pci 0000:00:1d.3: Found HC with no IRQ. Check BIOS/PCI 0000:00:1d.3 setup!
>  ehci-pci 0000:00:1d.3: init 0000:00:1d.7 fail, -19
>  GC Warning: pthread_getattr_np or pthread_attr_getstack failed for main thread
>  GC Warning: couldn't read /proc/stat
>  Welcome, this is GNU's early boot Guile.
>  Use '--repl' for an initrd REPL.
>  
>  loading kernel modules...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  waiting for partition '31393730-3031-3031-3139-343934363833' to appear...
>  ERROR: In procedure scm-error:
>  failed to resolve partition "31393730-3031-3031-3139-343934363833"
>  %<-------------end paste---------------------------------
>
> And then it enters the Guile 2.2.4 prompt, but the keyboard and USB ports
> are disabled at this stage, so I can't use it.

It appears that our initrd lacks the drivers needed to access the DVD
drive.

I did some looking around for any recently updated tutorials on how to
install GNU/Linux on a MacBook 1,1, and the only recent success story I
found involved installing the rEFInd boot manager and using it to boot
to a USB installer.

  https://www.youtube.com/watch?v=nHRai14ETKU

I would suggest something along those lines, since it would eliminate
the need to access the DVD drive from the initrd, which seems to be
where you're currently getting stuck.

       Mark